Permalink
Browse files

- Release 2.4.5

  • Loading branch information...
1 parent 7e00621 commit c65e882cbc8b5f3c6bd4c10a6540cf22bc49eb4b @tj committed Mar 3, 2009
Showing with 9 additions and 7 deletions.
  1. +5 −0 History.rdoc
  2. +1 −1 Todo.rdoc
  3. +2 −5 commander.gemspec
  4. +1 −1 lib/commander/version.rb
View
@@ -1,4 +1,9 @@
+=== 2.4.5 / 2009-03-03
+
+* Fixed bug which was not allowing switch arguments which are strings
+ such as --eval 'something here'
+
=== 2.4.4 / 2009-01-15
* Fixed bug which was not allowing multi-word commands to view help
View
@@ -1,5 +1,5 @@
-* Fix optparse string parsing...
+* Fix issue with having command name in the args list, #args_without_command
* Add optional command to be executed when none is specified
* Add aliasing of commands / args / options
* Non-greedy matching of command name
View
@@ -2,11 +2,11 @@
Gem::Specification.new do |s|
s.name = %q{commander}
- s.version = "2.4.4"
+ s.version = "2.4.5"
s.required_rubygems_version = Gem::Requirement.new(">= 1.2") if s.respond_to? :required_rubygems_version=
s.authors = ["TJ Holowaychuk"]
- s.date = %q{2009-01-15}
+ s.date = %q{2009-03-03}
s.default_executable = %q{commander}
s.description = %q{The complete solution for Ruby command-line executables}
s.email = %q{tj@vision-media.ca}
@@ -27,13 +27,10 @@ Gem::Specification.new do |s|
if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
s.add_runtime_dependency(%q<highline>, [">= 1.5.0"])
- s.add_development_dependency(%q<echoe>, [">= 0"])
else
s.add_dependency(%q<highline>, [">= 1.5.0"])
- s.add_dependency(%q<echoe>, [">= 0"])
end
else
s.add_dependency(%q<highline>, [">= 1.5.0"])
- s.add_dependency(%q<echoe>, [">= 0"])
end
end
@@ -1,7 +1,7 @@
module Commander
module VERSION #:nodoc:
- MAJOR, MINOR, TINY = [2, 4, 4]
+ MAJOR, MINOR, TINY = 2, 4, 5
STRING = [MAJOR, MINOR, TINY].join '.'
end
end

0 comments on commit c65e882

Please sign in to comment.